package aQute.maven;

import java.util.*;

import aQute.struct.*;

/*
 * <pre>
 * 1 = 4d1ce5036be51a64692f5c72a3bf5d351b6b8bbb
 * u = org.tranql|tranql-connector-informix-common|1.3|javadoc|jar
 * m = 1318435189169
 * i = jar|1273556958000|38110|2|2|1|jar
 * n = TranQL Vendors, Informix :: Common
 </pre>
 */
public class IndexEntry extends struct {
	public enum Type {
		JAR,
	}

	public String				sha1;
	public long					modified;
	public String				groupId;
	public String				artifactId;
	public String				version;
	public long					size;																	// i
																										// (3
																										// column)
	public String				description;															// d
	public String				name;																	// n
	public String				classifier;															// n
	public String				packaging;																// n
	public long					date;
	public Map<String,String>	headers	= new TreeMap<String,String>(String.CASE_INSENSITIVE_ORDER);

}
